Subject: Re: Add borg-sans-mono Font
From: Leo Prikler <[email-masked]>
To: Charles <[email-masked]>
Cc: [email-masked]
Date: Sat, 19 Jun 2021 19:38:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Samstag, den 19.06.2021, 16:33 +0000 schrieb Charles:
> Thank you so much for reviewing my patch, and helping me correct it.
> Attatched is an fixed version.
I've pushed your patch with some cosmetic adjustments as listed below:
- instead of appending the package to the end, I added it after
Google's Roboto fonts
- I changed the git-reference to be a two-liner
- I changed the hash to be a three-liner as otherwise there'd be
problems with smaller screens and you don't want those.
- I reworded the description a little as the old one included a typo
and to me personally didn't really get the actual idea behind the
package across.

I missed, that the commit message still didn't follow the format 100%.
I ought to have corrected it to:

gnu: Add font-borg-sans-mono.

* gnu/packages/fonts.scm (font-borg-sans-mono): New variable.

Anyway, you should now be able to pull and build the font :)

All the best,
Leo
> 
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
> 
> On Wednesday, June 16th, 2021 at 1:33 AM, Leo Prikler <
> [email-masked]> wrote:
> 
> > Am Mittwoch, den 16.06.2021, 00:53 +0000 schrieb Charles:
> > 
> > > This is my first contribution, so let me know if I did something
> > > 
> > > wrong. The patch is attatched.
> > > > Subject: [PATCH] gnu: Add font-borg-sans-mono
> > > > 
> > > > -   gnu/packages/fonts.scm (font-borg-sans-mono): Add font
> > 
> > Nitpicky, but the dot in the headerline is missing and we usually
> > 
> > denote new packages by "new variable" since that's what they are on
> > 
> > Scheme level.
> > 
> > > -   (name "font-borg-sans-mono")
> > > -   (version "0.3.0")
> > > -   (home-page "https://github.com/charje/borg-sans-mono")
> > 
> > home-page usually comes after build-system+arguments.
> > 
> > > -         (uri (string-append
> > > 
> > > 
> > > -               home-page
> > > 
> > > 
> > > -               "/releases/download/v"
> > > 
> > > 
> > > -               version
> > > 
> > > 
> > > -               "/borg-sans-mono.zip"))
> > > 
> > > 
> > 
> > Please type out home-page. It could very well be, that the devs
> > start
> > 
> > some fancy Github Pages website, which would break this code.
> > 
> > > -   (description "Droid Sans Mono Slashed + Hasklig-style
> > > 
> > >     ligatures!")
> > 
> > This is not very descriptive at all, I'm afraid. If Hasklig or
> > Monoid
> > 
> > are a reasonable alternative to this font, it's probably easier to
> > find
> > 
> > a description for them.
> > 
> > Regards,
> > 
> > Leo